Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class IPlanOptionManager.PseudoMessage

    java.lang.Object
      ix.icore.AbstractAnnotatedObject
          ix.util.IPC.BasicInputMessage
              ix.iplan.IPlanOptionManager.PseudoMessage

All Implemented Interfaces:
  Annotated, IPC.InputMessage, java.io.Serializable

Direct Known Subclasses:
  IPlanOptionManager.ReportMessage, IPlanOptionManager.SyncMessage, SyncStateClient.ChangeMessage, SyncStateClient.DeleteMessage

Enclosing class:
  IPlanOptionManager

    public abstract static class IPlanOptionManager.PseudoMessage

extends IPC.BasicInputMessage

See Also:
  Serialized Form

Field Summary

Fields inherited from class ix.util.IPC.BasicInputMessage
`contents`

Fields inherited from class ix.icore.AbstractAnnotatedObject
`annotationListeners, annotations`

Constructor Summary
`IPlanOptionManager.PseudoMessage(java.lang.Object contents)`

Method Summary
`abstract void` | `receivedBy(IPlanOptionManager.Opt option, Ip2 modelHolder)`

Methods inherited from class ix.util.IPC.BasicInputMessage
`getContents`

Methods inherited from class ix.icore.AbstractAnnotatedObject
`addAnnotationListener, annMap, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, getComments, makeAnnMap, removeAnnotation, setAnnotation, setAnnotations, setComments, takeAnnotations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ix.icore.Annotated
`addAnnotationListener, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, removeAnnotation, setAnnotation, setAnnotations, takeAnnotations`

Constructor Detail

### IPlanOptionManager.PseudoMessage

    public IPlanOptionManager.PseudoMessage(java.lang.Object contents)

Method Detail

### receivedBy

    public abstract void receivedBy(IPlanOptionManager.Opt option,
                                    Ip2 modelHolder)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD